using System;
using System.Threading.Tasks;

internal sealed class Delegate666 : MulticastDelegate
{
	public extern Task Invoke(Action action_0);

	public static Task smethod_0(Action action_0, Delegate666 delegate666_1)
	{
		return delegate666_1(action_0);
	}

	public extern Delegate666(object object_0, IntPtr intptr_0);

	static Delegate666()
	{
		Class10.smethod_13(typeof(Delegate666).TypeHandle);
	}

	internal static Delegate666 delegate666_0;
}
